## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
# * tests can only be run in-tree
%bcond_with check
%global debug_package %{nil}

%global crate actix-tls

Name:           rust-actix-tls
Version:        3.3.0
Release:        %autorelease
Summary:        TLS acceptor and connector services for Actix ecosystem

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/actix-tls
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused support for rustls
Patch:          actix-tls-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
TLS acceptor and connector services for Actix ecosystem.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGES.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+accept-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+accept-devel %{_description}

This package contains library source intended for building other packages which
use the "accept" feature of the "%{crate}" crate.

%files       -n %{name}+accept-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+connect-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+connect-devel %{_description}

This package contains library source intended for building other packages which
use the "connect" feature of the "%{crate}" crate.

%files       -n %{name}+connect-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+uri-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+uri-devel %{_description}

This package contains library source intended for building other packages which
use the "uri" feature of the "%{crate}" crate.

%files       -n %{name}+uri-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 25 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.0-1
- Update to version 3.3.0; Fixes RHBZ#2262549

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 3.2.0-1
- Update to version 3.2.0; Fixes RHBZ#2258741

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Sep 13 2023 Fabio Valentini <decathorpe@gmail.com> - 3.1.1-1
- Update to version 3.1.1; Fixes RHBZ#2235116

* Sun Aug 06 2023 Fabio Valentini <decathorpe@gmail.com> - 3.0.3-5
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue May 31 2022 Fabio Valentini <decathorpe@gmail.com> - 3.0.3-1
- Update to version 3.0.3; Fixes RHBZ#2035682

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Nov  3 00:59:10 CET 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-2
- Remove features with unpackaged dependencies.

* Mon Sep 21 2020 Fabio Valentini <decathorpe@gmail.com> - 2.0.0-1
- Update to version 2.0.0.

* Sat Aug 29 08:42:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0~alpha.2-1
- Update to 2.0.0-alpha.2

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0~alpha.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Mar 08 08:05:44 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.0.0~alpha.1-1
- Update to 2.0.0-alpha.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 20 18:43:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-2
- Regenerate

* Sat Dec 14 16:22:08 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Initial package

## END: Generated by rpmautospec
